## iverilog 12.0

=== Documentation/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = IcarusVerilog
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## iverilog 0.9.2

=== debian/changelog ===
iverilog (0.9.2-2) unstable; urgency=low

  * Add 0001-Fix-build-with-gcc-4.5.patch patch to fix FTBFS with
    gcc-4.5 (Closes: #565006)
  * debian/control:
    + Updated my email address
    + Added DMUA after sponsors consent:
      http://lists.alioth.debian.org/pipermail/pkg-electronics-devel/2010-April/001827.html
    + Bumped Standards-Version to 3.8.4, no changes needed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 07 Apr 2010 11:00:35 +0200

iverilog (0.9.2-1) unstable; urgency=low

  [ Iztok Jeras <iztok.jeras@gmail.com> ]
  * New upstream release.
  * Removed manpages.diff patch since it is applied upstream.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Switched to 3.0 (quilt) source format.
  * debian/watch: Added FTP URL.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 04 Jan 2010 13:24:42 +0200

iverilog (0.9.1-2) unstable; urgency=low

  * Rename package to iverilog
  * Added outdated_config.diff patch for config.{sub,guess} to call
    their up-to-date versions. (Closes: #542074)
  * debian/copyright:
    + Added copyright years of Hamish Moffatt.
    + Set Debian packaging license to GPL-2+
  * Added README.source
  * debian/control:
    + Provide verilog as a dummy transitional package.
    + Remove libreadline5-dev from Build-Depends.
  * debian/patches/*.diff: Add patch tags as per Patch Tagging Guidelines
    (DEP5)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 29 Aug 2009 10:13:02 +0200

verilog (0.9.1-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Use quilt patch system.
  * debian/control:
    + Bump Standards-Version to 3.8.2, no changes needed
    + Build-Depend on debhelper >= 7.0.50~ to support override targets.
    + Added Homepage field
    + Added myself to uploaders.
    + Enhanced extended description.
  * debian/rules:
    + simplify rules file.
    + Added override for dh_clean to remove version.h
    + Add -Wl,--as-needed to LDFLAGS during configure.
  * Added debian/watch, debian/docs & debian/examples.
  * debian/copyright: updated and converted to machine-readable format.
  * Added manpages.diff patch to fix issues in manpages.

  [ Iztok Jeras <iztok.jeras@gmail.com> ]
  * New upstream release.
  * debian/rules: do not compress Verilog sources
  * debian/control:
    + Added zlib to Build-Deps
    + Added gtkwave to Suggests

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 10 Aug 2009 06:42:15 +0300

verilog (0.8.6-1) unstable; urgency=low

  * New upstream release 0.8.6 (closes: #483050).
  * Acknowledge NMUs: thanks to Cyril and Luk.
  * Fix FTBFS due to removal of asm/page.h; thanks to Matt Kraai for the patch
    (closes: #479983)
  * Change maintainer to pkg-electronics team.

 -- Hamish Moffatt <hamish@debian.org>  Mon, 02 Jun 2008 22:07:46 +1000

verilog (0.8.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #455643).

 -- Luk Claes <luk@debian.org>  Sat, 22 Mar 2008 17:17:44 +0000

verilog (0.8.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix double-build FTBFS by also removing “tgt-edif/libedif_tgt.a” in
    the clean target (Closes: #442759).
  * No longer ignore “make clean” and “make distclean” errors. Also use
    “$(MAKE)” instead of “make”.
  * Bump Standards-Version from 3.7.2 to 3.7.3, no changes needed.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 27 Feb 2008 16:59:44 +0100

verilog (0.8.5-1) unstable; urgency=low

  * New upstream patch release. Includes source changes for newer gcc and
    kernel headers that were included in previous Debian uploads.
    (closes: #417448)
  * Add libreadline5-dev to build-dependencies, as verilog will use it
    if available
  * Update package description to mention EDIF output support
    (closes: #403276)
  * Included patch for compilation with gcc 4.3; thanks to Martin Michlmayr
    (closes: #417742)
  * Acknowledge NMUs. (closes: #357962, #411063)
  * Update standards-revision to 3.7.2.

 -- Hamish Moffatt <hamish@debian.org>  Sat, 28 Jul 2007 17:28:31 +1000

verilog (0.8-4.2) unstable; urgency=high

  * Non-maintainer upload.
  * Use sysconf(_SC_PAGESIZE) instead of PAGE_SIZE macro; fixes FTBFS with
    newer kernel headers. (Closes: #411063)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 28 Feb 2007 17:16:07 +0100

verilog (0.8-4.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file (closes: #357962)

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 16:23:18 +0200

verilog (0.8-4) unstable; urgency=low

  * Update config.guess/sub at build-time from files provided by
    autotools-dev; added build-dep on autotools-dev (closes: #342514)
  * Updated standards-revision to 3.6.2

 -- Hamish Moffatt <hamish@debian.org>  Mon, 20 Mar 2006 00:10:25 +1100

verilog (0.8-3) unstable; urgency=low

  * Updated config.guess/sub to work with GNU/kFreeBSD (closes: #320689)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 20 Aug 2005 01:25:45 +1000

verilog (0.8-2) unstable; urgency=low

  * Rebuild with g++ 4.0
  * Fix FTBFS with g++-4.0 (closes: #301388); thanks to Andreas Jochens
    for the patch. Also made additional changes in netlist.h to fix
    missing forward-declarations.

 -- Hamish Moffatt <hamish@debian.org>  Sun, 31 Jul 2005 13:20:09 +0000

verilog (0.8-1) unstable; urgency=low

  * New official upstream release

 -- Hamish Moffatt <hamish@debian.org>  Fri, 15 Oct 2004 19:54:34 +1000

verilog (0.7+20041004-1) unstable; urgency=low

  * New upstream snapshot; close to 0.8 release

 -- Hamish Moffatt <hamish@debian.org>  Sun, 10 Oct 2004 13:30:22 +1000

verilog (0.7+20040915-1) unstable; urgency=low

  * New upstream snapshot

 -- Hamish Moffatt <hamish@debian.org>  Sun, 19 Sep 2004 01:02:29 +1000

verilog (0.7+20040828-1) unstable; urgency=medium



=== debian/control ===
Source: iverilog
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Hamish Moffatt <hamish@debian.org>, Wesley J. Landaker <wjl@icecavern.net>,
           Ramakrishnan Muthukrishnan <rkrishnan@debian.org>,
           أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Homepage: http://www.icarus.com/eda/verilog
Vcs-Git: git://git.debian.org/git/pkg-electronics/iverilog.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/iverilog.git

Package: iverilog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: verilog (<= 0.9.1-1)
Suggests: gtkwave
Description: Icarus verilog compiler
 Icarus Verilog is intended to compile all of the Verilog HDL as
 described in the IEEE-1364 standard. It is not quite there
 yet. It does currently handle a mix of structural and behavioral
 constructs.
 .
 The compiler can target either simulation, or netlist (EDIF).

Package: verilog
Architecture: all
Depends: ${misc:Depends}, iverilog
Description: Icarus verilog compiler (transitional package)
 Icarus Verilog is intended to compile all of the Verilog HDL as
 described in the IEEE-1364 standard. It is not quite there
 yet. It does currently handle a mix of structural and behavioral
 constructs.
 .
 The compiler can target either simulation, or netlist (EDIF).
 .
 This is a dummy transitional package that will ensure a proper upgrade path.
 This package may be safely removed after upgrading.

## iverilog 0.9.3

=== debian/changelog ===
iverilog (0.9.3-2) unstable; urgency=low

  * Upload to unstable.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 13 Nov 2010 13:31:55 +0200

iverilog (0.9.3-1) experimental; urgency=low

  * New upstream release.
  * Bumped compat level to 8
  * debian/control: Bumped Standards-Version to 3.9.1, no changes needed
  * Removed 0001-Fix-build-with-gcc-4.5.patch as it got applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 28 Sep 2010 21:34:17 +0300

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Hamish Moffatt <hamish@debian.org>, Wesley J. Landaker <wjl@icecavern.net>,
            Ramakrishnan Muthukrishnan <rkrishnan@debian.org>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), autotools-dev, gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
+Standards-Version: 3.9.1
 DM-Upload-Allowed: yes
 Homepage: http://www.icarus.com/eda/verilog
 Vcs-Git: git://git.debian.org/git/pkg-electronics/iverilog.git

## iverilog 0.9.4

=== debian/changelog ===
iverilog (0.9.4-1) unstable; urgency=low

  * New upstream release.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 23 Mar 2011 09:53:36 +0200

## iverilog 0.9.5

=== debian/changelog ===
iverilog (0.9.5-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright:
    + Updated copyright format & years.
    + Updated upstream URL.
  * debian/control:
    + Bumped Standards-Version to 3.9.2
    + Updated upstream URL.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 03 Nov 2011 14:15:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Ramakrishnan Muthukrishnan <rkrishnan@debian.org>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 8), autotools-dev, gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
-Homepage: http://www.icarus.com/eda/verilog
+Homepage: http://iverilog.icarus.com
 Vcs-Git: git://git.debian.org/git/pkg-electronics/iverilog.git
 Vcs-Browser: http://git.debian.org/?p=pkg-electronics/iverilog.git

## iverilog 0.9.6

=== debian/changelog ===
iverilog (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update copyright format & years.
  * Bumped compat level to 9
  * debian/control: Update Standards-Version to 3.9.3
  * Added tgt_use_LDFLAGS.diff patch to make use of LDFLAGS when linking .tgt
    files

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 07 Sep 2012 10:50:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Hamish Moffatt <hamish@debian.org>, Wesley J. Landaker <wjl@icecavern.net>,
            Ramakrishnan Muthukrishnan <rkrishnan@debian.org>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 8), autotools-dev, gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), autotools-dev, gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://iverilog.icarus.com
 Vcs-Git: git://git.debian.org/git/pkg-electronics/iverilog.git
@@ -27,6 +27,8 @@
 
 Package: verilog
 Architecture: all
+Section: oldlibs
+Priority: extra
 Depends: ${misc:Depends}, iverilog
 Description: Icarus verilog compiler (transitional package)
  Icarus Verilog is intended to compile all of the Verilog HDL as

## iverilog 0.9.7

=== debian/changelog ===
iverilog (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Dropped tgt_use_LDFLAGS.diff patch, as it is applied upstream.
  * debian/copyright: Update copyright years.
  * debian/control:
    + Bumped Standards-Version to 3.9.4
    + Remove obsolete DMUA field.
    + Use canonical URIs in VCS-* fields.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 24 Aug 2013 15:08:40 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
            Ramakrishnan Muthukrishnan <rkrishnan@debian.org>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9), autotools-dev, gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Homepage: http://iverilog.icarus.com
-Vcs-Git: git://git.debian.org/git/pkg-electronics/iverilog.git
-Vcs-Browser: http://git.debian.org/?p=pkg-electronics/iverilog.git
+Vcs-Git: git://anonscm.debian.org/pkg-electronics/iverilog.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/iverilog.git
 
 Package: iverilog
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_auto_install:
	$(MAKE) prefix=$(CURDIR)/debian/iverilog/usr install

override_dh_compress:
	dh_compress -X.v

override_dh_clean:
	dh_clean version.h

=== debian/watch ===
version=3

http://sf.net/iverilog/verilog-(.*)\.tar\.gz
ftp://ftp.icarus.com/pub/eda/verilog/v([\d.]+)/verilog-(.*)\.tar\.gz

## iverilog 10.1

=== debian/changelog ===
iverilog (10.1-0.1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:04:34 +0000

iverilog (10.1-0.1) unstable; urgency=low

  * New upstream release (Closes: #826615).
  * Non-maintainer upload.

 -- Steffen Moeller <moeller@debian.org>  Mon, 04 Jul 2016 01:59:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Ramakrishnan Muthukrishnan <rkrishnan@debian.org>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9), autotools-dev, gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://iverilog.icarus.com
 Vcs-Git: git://anonscm.debian.org/pkg-electronics/iverilog.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/iverilog.git

## iverilog 10.2

=== debian/changelog ===
iverilog (10.2-1) unstable; urgency=low

  * Team upload.

  * New upstream version.
  * Cleaned source tree from config.{guess,sub}
  * Removed patch on config.sub

 -- Steffen Moeller <moeller@debian.org>  Tue, 28 Aug 2018 00:51:57 +0200

iverilog (10.1-0.2) UNRELEASED; urgency=low

  * d/watch: Transition to github

 -- Steffen Moeller <moeller@debian.org>  Mon, 27 Aug 2018 23:48:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
            Ramakrishnan Muthukrishnan <rkrishnan@debian.org>,
            أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9), autotools-dev, gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.2.0
 Homepage: http://iverilog.icarus.com
-Vcs-Git: git://anonscm.debian.org/pkg-electronics/iverilog.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/iverilog.git
+Vcs-Git: git://salsa.debian.org/electronics-team/iverilog.git
+Vcs-Browser: http://salsa.debian.org/electronics-team/iverilog
 
 Package: iverilog
 Architecture: any
@@ -27,7 +27,7 @@
 Package: verilog
 Architecture: all
 Section: oldlibs
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}, iverilog
 Description: Icarus verilog compiler (transitional package)
  Icarus Verilog is intended to compile all of the Verilog HDL as

=== debian/watch ===
version=4

# GitHub hosted projects
opts="uversionmangle=s%_%.%, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%iverilog-$1.tar.gz%" \
   https://github.com/steveicarus/iverilog/tags \
   (?:.*?/)?v?(\d[\d._]*)\.tar\.gz debian uupdate

## iverilog 10.3

=== debian/changelog ===
iverilog (10.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:42 +0100

iverilog (10.3-1) unstable; urgency=medium

  * New upstream version 10.3
  * Drop bison-fix.diff patch, applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 16 Aug 2019 03:32:08 +0200

iverilog (10.2-2) unstable; urgency=medium

  * Bump to compat level 12
    * no need for dh_auto_clean override
    * override dh_autoreconf instead of dh_auto_configure
    * no need for explicit build-dependency on auttools_dev
  * Use secure URIs for copyright format & Vcs-* fields
  * Remove Files-Excluded section
  * Update copyright years
  * Add bison-fix patch to fix makefile rules for header files generated by 
    bison (Closes: #932635)
  * Update standards version to 4.4.0

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 04 Aug 2019 03:47:35 +0200

iverilog (10.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Remove retired uploaders
    (Closes: #859285, #831490, #759990)
  * debian/control: Remove obsolete transitional pkg verilog and add
    proper pkg transition relationship. (Closes: #878603)

 -- Boyuan Yang <byang@debian.org>  Tue, 02 Oct 2018 17:34:21 -0400

=== debian/control ===
Source: iverilog
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Build-Depends: debhelper (>= 12), gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
Standards-Version: 4.4.0
Homepage: http://iverilog.icarus.com
Vcs-Git: https://salsa.debian.org/electronics-team/iverilog.git
Vcs-Browser: https://salsa.debian.org/electronics-team/iverilog

Package: iverilog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: verilog (<< 10.2-1.1~)
Breaks: verilog (<< 10.2-1.1~)
Provides: verilog
Suggests: gtkwave
Description: Icarus verilog compiler
 Icarus Verilog is intended to compile all of the Verilog HDL as
 described in the IEEE-1364 standard. It is not quite there
 yet. It does currently handle a mix of structural and behavioral
 constructs.
 .
 The compiler can target either simulation, or netlist (EDIF).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_autoreconf:
	ln -sf /usr/share/misc/config.guess
	ln -sf /usr/share/misc/config.sub
	autoconf

override_dh_auto_install:
	$(MAKE) prefix=$(CURDIR)/debian/iverilog/usr install

override_dh_compress:
	dh_compress -X.v

## iverilog 11.0

=== debian/changelog ===
iverilog (11.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with autoconf >= 2.70. (Closes: #995040)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Nov 2021 19:15:21 +0200

iverilog (11.0-1) unstable; urgency=medium

  * New upstream version 11.0
  * rebuild patch queue from patch-queue branch
    added patches:
    0001-typo-fix-correct-misspelled-word-variable.patch
    0002-typo-fix-correct-misspelled-word-Parameter.patch
    removed patch (obsolete due new upstream version):
    gcc10-extern.patch
  * d/rules: enable hardening functionality

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Oct 2020 17:56:04 +0200

iverilog (10.3-2) unstable; urgency=medium

  * Update standards version to 4.5.0
  * Set compat level using build deps
  * Update my email address
  * Update copyright years
  * Add Rules-Requires-Root: no
  * Bump to compat level 13
  * Add gcc10-extern.patch to use extern for global vars. (Closes: #957381)
  * Remove trailing whitespaces
  * Add upstream metadata
  * Update email address of Debian Electronics team

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 25 May 2020 19:44:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: iverilog
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
-Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 12), gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
-Standards-Version: 4.4.0
+Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper-compat (= 13), gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: http://iverilog.icarus.com
 Vcs-Git: https://salsa.debian.org/electronics-team/iverilog.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/iverilog

## iverilog 12.0

=== debian/changelog ===
iverilog (12.0-3) unstable; urgency=medium

  [ Alexandre Detiste ]
  * quilt is the default now

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Drop redundant Rules-Requires-Root field
  * d/control: bump standards version to 4.7.2
  * Update FSF address
  * Update copyright years
  * Add fix-buildflags.patch to add *FLAGS to a couple of build targets
  * Added filter-out_iverilog-vpi_flags.patch to filter out -ffile-prefix-map
  n flag from iverilog-vpi flags.
    This flag isn't needed for runtime, and it exposed the build path in
    resulting executable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 29 Sep 2025 15:53:00 +0200

iverilog (12.0-2) unstable; urgency=medium

  * Upload to unstable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 14 Jun 2023 07:17:23 +0200

iverilog (12.0-1) experimental; urgency=medium

  * New upstream version 12.0
  * d/u/metadata: remove Homepage field
  * d/control: bump to standards-version 4.6.2
  * d/copyright: update
  * Remove 0002-typo-fix-correct-misspelled-word-Parameter.patch, applied upstream
  * Add sec-str-fmt.diff patch to fix non-secure string formatting
  * Rename 0001-typo-fix-correct-misspelled-word-variable.patch to
    fix-typos.diff.
    + Add fixes for a couple of typos
    + Forward to upstream
    + Add DEP-3 patch tags

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 17 May 2023 22:28:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Build-Depends: debhelper-compat (= 13), gperf, bison, flex, zlib1g-dev, libbz2-dev, libreadline-dev
-Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Homepage: http://iverilog.icarus.com
 Vcs-Git: https://salsa.debian.org/electronics-team/iverilog.git
 Vcs-Browser: https://salsa.debian.org/electronics-team/iverilog

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -12,4 +14,4 @@
 	$(MAKE) prefix=$(CURDIR)/debian/iverilog/usr install
 
 override_dh_compress:
-	dh_compress -X.v
+	dh_compress --exclude=.v

=== debian/watch ===
version=4

# GitHub hosted projects
opts="uversionmangle=s%_%.%, filenamemangle=s%(?:.*?)?v?(\d[\d._]*)\.tar\.gz%iverilog-$1.tar.gz%" \
   https://github.com/steveicarus/iverilog/tags \
   (?:.*?/)?v?(\d[\d._]*)\.tar\.gz debian uupdate
